Get Recent Files

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches files and folders recently used by this team member.

The Recent files tab on the WorkDrive homepage displays all the files the user worked on recently.

The team_member_id is created when a user becomes part of a team.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id}/recentfiles \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_member_idstring(Required)

The unique ID that represents the team member.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Optional)

To filter by resource type.

Eg. filter[type]=allfiles

Check all filter types here

Allowed Values :
Show Values
allCopied!
allfilesCopied!
documentsCopied!
spreadsheetsCopied!
presentationsCopied!
pdfCopied!
audioCopied!
videoCopied!
imagesCopied!
folderCopied!
mydraftsCopied!
documents_nativeCopied!
spreadsheets_nativeCopied!
presentations_nativeCopied!
documents_non_nativeCopied!
spreadsheets_non_nativeCopied!
presentations_non_nativeCopied!
Copied!Copy all as JSON Array
page[limit]string(Optional)

Limit indicates the number of items to be listed.

(The maximum limit is 50).

For more details about pagination. refer here

page[offset]string(Optional)

Offset indicates from where the listing should start.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "cjrrr55b395f872ad4b0a8c52b02eab98c1c5",
        "type": "files",
        "attributes": {
          "modified_by_zuid": "747938014",
          "is_locked": false,
          "conv_engine_type": 1,
          "is_fillable_resource": false,
          "is_published": false,
          "destination_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
          "storage_info": {
            "size": "90.0 KB",
            "storage_used": "165.0 KB",
            "files_count": 0,
            "folders_count": 0,
            "size_in_bytes": 92684,
            "storage_used_in_bytes": 169541
          },
          "type": "image",
          "created_time_i18": "Apr 13, 3:03 PM",
          "associated_data_templates": [],
          "modified_time_in_millisecond": 1618306634449,
          "opened_time": "Apr 13, 3:03 PM",
          "status_change_time": "Apr 13, 3:07 PM",
          "download_url": "https://download-accl.zoho.com/v1/workdrive/download/cjrrr55b395f872ad4b0a8c52b02eab98c1c5",
          "comment_badge_count": 0,
          "is_app_associated": false,
          "created_time": "Apr 13, 3:03 PM",
          "lock_status": 2,
          "is_folder": false,
          "resource_type": 2501,
          "is_email_in_upload": false,
          "display_attr_name": "Capture.JPG",
          "user_access_time": "Apr 13, 3:07 PM",
          "created_by": "Zylker Creation",
          "display_html_name": "Capture.JPG",
          "labels": [],
          "user_access_time_i18": "Apr 13, 3:07 PM",
          "parent_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
          "name": "Capture.JPG",
          "status_change_time_in_millisecond": 1618306634449,
          "permalink": "https://www.zohoapis.com/workdrive/file/cjrrr55b395f872ad4b0a8c52b02eab98c1c5",
          "favorite": false,
          "new_badge_count": 0,
          "status": 1,
          "modified_time_i18": "Apr 13, 3:07 PM",
          "opened_time_i18": "Apr 13, 3:03 PM",
          "extn": "jpg",
          "user_access_time_in_millis": 1618306634449,
          "shortcut_link": "",
          "status_change_time_i18": "Apr 13, 3:07 PM",
          "description": "",
          "uploaded_time_in_millisecond": 1618306387232,
          "thumbnail_url": "https://previewengine-accl.zoho.com/thumbnail/WD/cjrrr55b395f872ad4b0a8c52b02eab98c1c5",
          "title": "",
          "modified_time": "Apr 13, 3:07 PM",
          "library_id": "ly9zme5724e019a8e4cb48632945b1296be0a",
          "icon_class": "img",
          "created_time_in_millisecond": 1618306387229,
          "owner": "747937818",
          "creator": "747938014",
          "uploaded_time_i18": "Apr 13, 3:03 PM",
          "is_external_upload": false,
          "watch_preference": {
            "watch": false,
            "notifyemail": false,
            "notifybell": false
          },
          "opened_time_in_millisecond": 1618306387229,
          "edit_badge_count": 0,
          "share_data": [],
          "uploaded_time": "Apr 13, 3:03 PM",
          "has_folders": false,
          "service_type": "upload",
          "recent_action": "last_modified_time",
          "display_url_name": "Capture.JPG",
          "is_unread": false,
          "modified_by": "Zylker Creation",
          "embed_props": {}
        },
        "relationships": {
          "folders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/folders",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/folders"
            }
          },
          "comments": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/comments",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/comments"
            }
          },
          "previewinfo": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/previewinfo",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/previewinfo"
            }
          },
          "unzip": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/unzip",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/unzip"
            }
          },
          "publiclink": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/publiclink",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/publiclink"
            }
          },
          "resourceproperty": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/resourceproperty",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/resourceproperty"
            }
          },
          "parentfolders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/parentfolders",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/parentfolders"
            }
          },
          "shortcut": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/shortcut",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/shortcut"
            }
          },
          "importfile": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/importfile",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/importfile"
            }
          },
          "versions": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/versions",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/versions"
            }
          },
          "supportshare": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/supportshare",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/supportshare"
            }
          },
          "permissions": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/permissions",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/permissions"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/timeline"
            }
          },
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/files"
            }
          },
          "saveastemplate": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/saveastemplate",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/saveastemplate"
            }
          },
          "links": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/links",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/links"
            }
          },
          "copy": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/copy",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/copy"
            }
          },
          "previewzip": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/previewzip",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/previewzip"
            }
          },
          "tasks": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/tasks",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/tasks"
            }
          },
          "breadcrumbs": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/breadcrumbs",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/breadcrumbs"
            }
          },
          "entity": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/entity",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/entity"
            }
          },
          "custommetadata": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/custommetadata",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/custommetadata"
            }
          },
          "statistics": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/statistics",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/statistics"
            }
          },
          "appdata": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/relationships/appdata",
              "related": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5/appdata"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/files/cjrrr55b395f872ad4b0a8c52b02eab98c1c5"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full